Consolidate unspents (simple)

Builds, signs, and sends a transaction to consolidate unspents all in 1 call. Consolidating unspents is only for UTXO-based assets.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

A cryptocurrency or token ticker symbol.

string
required

The wallet ID.

Body Params
string

Passphrase to decrypt the user key on the wallet

string

Private key in string form, if walletPassphrase is not available

Custom fee rate (in base units) per kilobyte (or virtual kilobyte). For example, satoshis per kvByte.

If the feeRate is less than the minimum required network fee, then the minimum fee applies. For example, 1000 sat/kvByte, a flat 1000 microAlgos, or a flat 10 drops of xrp. For XRP, the actual fee is usually 4.5 times the open ledger fee.

Note: The feeRate overrides the maxFeeRate and minFeeRate.

(BTC only) The maximum fee rate (in base units) per kilobyte (or virtual kilobyte). For example, satoshis per kvByte. The maxFeeRate limits the fee rate generated by both feeMultiplier and numBlocks.

Note: The feeRate overrides the maxFeeRate.

integer

Maximum relative portion that can be spent towards fees

integer

Block target for fee estimation

boolean

Build multiple transactions at the same time. This enables you to increase the maximum number of unspents on the limit parameter up to 2,000. If true, you must pass the txFormat as psbt and you can't pass the targetAddress or numUnspentsToMake parameters.

Minimum value of unspents to use in base units (e.g. satoshis). Can be used to skip very small unspents when consolidating at higher fee rates. For doge, only string is allowed.

Maximum value of unspents to use in base units (e.g. satoshis). Should be used to prevent larger unspents from being consolidated needlessly, and that some funds remain available for spending while the consolidation transactions are in flight. For doge, only string is allowed.

integer

Minimum height of unspents on the block chain to use

integer

Minimum confirmation threshold for external inputs

boolean

Flag for enforcing minConfirms for change inputs

integer

Maximum number of unspents to use in the transaction

integer

Number of new unspents to make

string

address to use for generated outputs. Must be wallet address.

string
enum
Defaults to legacy

[UTXO only] Format of the returned transaction hex serialization. legacy for serialized transaction in custom bitcoinjs-lib format. psbt for BIP174 serialized transaction

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Choose an example:
application/json